Assignment
Retrieve a list of assigned hosts.
Query parameters
siteIdinteger · int32Optional
Site ID.
Responses
204
No Content
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
get/api/Provider/VM/VDIHost/Assignment
GET /api/Provider/VM/VDIHost/Assignment HTTP/1.1
Accept: */*
No content
Modify a host assignment.
Path parameters
providerIdinteger · int32Required
The ID of the Provider server on which the target Host resides.
vmIdstringRequired
The ID of the host VM.
Query parameters
siteIdinteger · int32Optional
Site ID.
Body
Update persistence configuration of the VDI Host
userstring · min: 1 · max: 255 · nullableOptional
The name of the user account to which to assign the Host.
devicestring · min: 1 · max: 255 · nullableOptional
The name of the device to which to assign the Host.
sidstring · min: 1 · max: 255 · nullableOptional
The SID of the user account to which to assign the Host.
Responses
204
No Content
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
put/api/Provider/{providerId}/VM/{vmId}/VDIHost/Assignment
PUT /api/Provider/{providerId}/VM/{vmId}/VDIHost/Assignment HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 44
{
"user": "text",
"device": "text",
"sid": "text"
}No content
Remove a host assignment.
Path parameters
providerIdinteger · int32Required
The ID of the Provider server on which the target Host resides.
vmIdstringRequired
The ID of the host VM.
Query parameters
siteIdinteger · int32Optional
Site ID.
Responses
204
No Content
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
delete/api/Provider/{providerId}/VM/{vmId}/VDIHost/Assignment
DELETE /api/Provider/{providerId}/VM/{vmId}/VDIHost/Assignment HTTP/1.1
Accept: */*
No content
Last updated